#!/bin/bash
echo "Welcome!"

version="1.4.5"
platform="linux/amd64,linux/arm64,linux/arm/v7"
appSubfolder="/reverse-proxy"
localRegistryPass="******************"
npmToken="******************"

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$localRegistryPass alpine-nexus:8500

echo "Create docker image with version $version for platform $platform"
docker buildx build \
	--build-arg APP_SUBFOLDER=$appSubfolder \
	--build-arg APP_VERSION=$version \
	--build-arg OWN_NPM_TOKEN=$npmToken \
	--platform $platform \
	--output=type=image,push=true,registry.insecure=true \
	--push \
	--tag alpine-nexus:8500/reverse-proxy/reverse-proxy-frontend:$version \
	.

echo "Done!"